FUNCTION RIMO_CHANNELPARAM, instrument, version=version, hd=hd

  IF NOT KEYWORD_SET(version) THEN BEGIN
     CASE STRUPCASE(instrument) OF
        'HFI': file = LATEST_HFI_RIMO()
        'LFI': file = LATEST_LFI_RIMO()
     ENDCASE
     ok = TEST_PSM_DATA(file, /get, /private)
     IF ok THEN BEGIN
        hd = HEADFITS(file,exten=1)
        RETURN, MRDFITS(file,1) 
     ENDIF ELSE STOP
  ENDIF ELSE BEGIN
     CASE STRUPCASE(instrument) OF
        'HFI': file = GETPSMDIR('psmdata')+'instrument/planck/RIMO/HFI/HFI-RIMO-'+version+'.fits'
        'LFI': file = GETPSMDIR('psmdata')+'instrument/planck/RIMO/LFI/LFI-RIMO-'+version+'.fits'
     ENDCASE
     ok = TEST_PSM_DATA(file, /get, /private)
     IF ok THEN BEGIN
        hd = HEADFITS(file,exten=1)
        RETURN, MRDFITS(file,1) 
     ENDIF ELSE STOP
  ENDELSE

END
