FUNCTION ALL_LFI_DETECTORS, freq=freq

  IF NOT KEYWORD_SET(freq) THEN freq=[30,44,70]
  freqlist = [30,44,70]

  list0 = ['030-28S', '030-28M', '030-27S', '030-27M']
  list1 = ['044-26S', '044-26M', '044-25S', '044-25M', '044-24S', '044-24M']
  list2 = ['070-23S', '070-23M', '070-22S', '070-22M', '070-21S', '070-21M', '070-20S', '070-20M', '070-19S', '070-19M', '070-18S', '070-18M']

  list = ['']
  FOR i=0, 2 DO BEGIN
     wh = WHERE(LONG(freq) EQ freqlist[i], nwh)
     IF nwh NE 0 THEN BEGIN
        ok = EXECUTE('list = [list,list'+NUMBER2STRING(i)+']')
     ENDIF
  ENDFOR
  IF N_ELEMENTS(list) EQ 1 THEN MESSAGE, 'No valid LFI frequency channel'
  list = list[1:*]
  RETURN, list

END
