PRO MK_PSMHDR, hdr, block1, block2, block3, block4, block5, block6, block7, block8, block9, block10, block11, block12, help=help

  IF (KEYWORD_SET(help) NE 0) OR (N_PARAMS() EQ 0) THEN BEGIN
     PRINT, PSM_STRING_TO_LENGTH('-',LINE_LENGTH(),character='-')
     PRINT, 'MK_PSMHDR: procedure to create a PSM header from up to 12 building blocks'
     PSM_INFO_MESSAGE, 'SYNTAX: MK_PSMHDR, hdr, block1, block2, block3, ..., block12'
     PSM_INFO_MESSAGE, "building blocks are created using PSM_BASE_HDR, PSM_BEAM_HDR, ... "
     PSM_INFO_MESSAGE, "hdr is the output PSM fits header"
     PRINT, PSM_STRING_TO_LENGTH('-',LINE_LENGTH(),character='-')
     RETURN
  ENDIF

  hdr = [PSMHDR_HEADLINE()]
  FOR i=1, N_PARAMS()-1 DO ok = EXECUTE('hdr = [hdr,block'+NUMBER2STRING(i)+']')
  hdr = [hdr,PSMHDR_ENDLINE()]

END
