FUNCTION COSMO::DHUBBLE_DA, z=z

  IF NOT KEYWORD_SET(z) THEN z=0

  RETURN, 100. * self.h * (1/2.) * 1/SQRT(self.omega_de*(1.+z)^(3.*(1+self.w_de)) $
                                          + self.omega_k*(1.+z)^2. $
                                          + self.omega_m*(1.+z)^3. $
                                          + self.omega_rad*(1.+z)^5.) $
                          * (-1) * (3.*(1+self.w_de)*self.omega_de*(1.+z)^(3.*(1+self.w_de)+1) $
                                    + 2*(self.omega_k)*(1.+z)^3. $
                                    + 3*self.omega_m*(1.+z)^4. $
                                    + 4*self.omega_rad*(1.+z)^5. )

END
