FUNCTION CL2COR, ell, cl, nclfs=nclfs, double=double
  
  IF NOT KEYWORD_SET(nclfs) THEN nclfs=N_ELEMENTS(cl.field)

  IF nclfs LT 1 THEN BEGIN
    PRINT, "nclf is less than unity"
    STOP
  ENDIF


  cov = CL2COV(ell, cl, nclfs=nclfs, double=double)
  cor = cov

  FOR i=0, N_ELEMENTS(cov[0,*])-1 DO BEGIN
     cor[*,i] = cor[*,i] / SQRT(cov[i,i])
  ENDFOR
  FOR i=0, N_ELEMENTS(cov[*,0])-1 DO BEGIN
     cor[i,*] = cor[i,*] / SQRT(cov[i,i])
  ENDFOR
  cor = (cor+TRANSPOSE(cor))/2

  RETURN, cor

END

