PRO COADD_CL, cl1, cl2, cl

  fields1 = cl1.field
  fields2 = cl2.field

  ;;IF NOT ARRAYS_EQUAL(cl1.l,cl2.l) THEN MESSAGE, 'Case not implemented'

  IF N_ELEMENTS(fields1) GE N_ELEMENTS(fields2) THEN BEGIN
     fields=fields1 
     units = cl1.units
     FOR i=0, N_ELEMENTS(fields2)-1 DO BEGIN
        wh = WHERE(fields EQ fields2[i], nwh)
        IF nwh EQ 0 THEN BEGIN
           ;; Add the new field to the list
           fields = [fields,fields2[i]]
           units = [units,cl2.units[i]]
        ENDIF ELSE BEGIN
           ;; Check that the units are the same
           ok = cl1.units[wh[0]] EQ cl2.units[i]
           IF NOT ok THEN MESSAGE, 'Units are different - co-addition cancelled'
        ENDELSE
     ENDFOR
  ENDIF ELSE BEGIN
     fields=fields2
     units = cl2.units
     FOR i=0, N_ELEMENTS(fields1)-1 DO BEGIN
        wh = WHERE(fields EQ fields1[i], nwh)
        IF nwh EQ 0 THEN BEGIN
           ;; Add the new field to the list
           fields = [fields,fields1[i]]
           units = [units,cl1.units[i]]
        ENDIF ELSE BEGIN
           ;; Check that the units are the same
           ok = cl2.units[wh[0]] EQ cl1.units[i]
           IF NOT ok THEN MESSAGE, 'Units are different - co-addition cancelled'
        ENDELSE
     ENDFOR
  ENDELSE
  
  lvalues = [cl1.l,cl2.l]
  lvalues = lvalues(SORT(lvalues))
  lvalues = lvalues(UNIQ(lvalues))

  cl = CL_STRUCTURE(fieldnames=fields,units=units,lvalues=lvalues)
  

  FOR il = 0L, N_ELEMENTS(lvalues)-1 DO BEGIN

     wh1 = WHERE(cl1.l EQ lvalues[il], nwh1)
     IF nwh1 EQ 1 THEN BEGIN
        FOR i=0, N_ELEMENTS(fields)-1 DO BEGIN
           whfieldi = WHERE(fields1 EQ fields[i], nwhfieldi)
           IF nwhfieldi EQ 1 THEN BEGIN
              field1i = fields1[whfieldi[0]]
              FOR j=i, N_ELEMENTS(fields)-1  DO BEGIN
                 whfieldj = WHERE(fields1 EQ fields[j], nwhfieldj)
                 IF nwhfieldj EQ 1 THEN BEGIN
                    field1j = fields1[whfieldj[0]]
                    st = "cl.c_"+NUMBER2STRING(i+1)+"_"+NUMBER2STRING(j+1) +"[lvalues[il]] = CL_VALUE(cl1,'"+field1i+"','"+field1j+"',l=cl1.l[wh1[0]])"
                    ok = EXECUTE(st)
                    IF NOT ok THEN STOP
                 ENDIF
              ENDFOR
           ENDIF
        ENDFOR
     ENDIF

     wh2 = WHERE(cl2.l EQ lvalues[il], nwh2)
     IF nwh2 EQ 1 THEN BEGIN
        FOR i=0, N_ELEMENTS(fields)-1 DO BEGIN
           whfieldi = WHERE(fields2 EQ fields[i], nwhfieldi)
           IF nwhfieldi EQ 1 THEN BEGIN
              field2i = fields2[whfieldi[0]]
              FOR j=i, N_ELEMENTS(fields)-1  DO BEGIN
                 whfieldj = WHERE(fields2 EQ fields[j], nwhfieldj)
                 IF nwhfieldj EQ 1 THEN BEGIN
                    field2j = fields2[whfieldj[0]]
                    st = "cl.c_"+NUMBER2STRING(i+1)+"_"+NUMBER2STRING(j+1) +"[lvalues[il]] = cl.c_"+NUMBER2STRING(i+1)+"_"+NUMBER2STRING(j+1) +"[lvalues[il]] + CL_VALUE(cl2,'"+field2i+"','"+field2j+"',l=cl2.l[wh2[0]])"
                    ok = EXECUTE(st)
                    IF NOT ok THEN STOP
                 ENDIF
              ENDFOR
           ENDIF
        ENDFOR
     ENDIF

  ENDFOR

END
