PRO CL2NEEDLETCOVAR, cl, needletcovar, bands=bands

  IF NOT KEYWORD_SET(bands) THEN STOP
  
  nbands = N_ELEMENTS(bands[0,*])
  nfields = N_ELEMENTS(cl.field)
  needletcovar = REPLICATE(0*cl.c_1_1[0],nfields,nfields,nbands)

  IF N_ELEMENTS(cl.l) NE MAX(cl.l)+1 THEN MESSAGE, 'Error, cl not available from l=0 to lmax'

  FOR l=0, MAX(cl.l) DO BEGIN
     CL2COVAR, cl, cl.l[l], cov
     FOR i=0, nbands-1 DO BEGIN
        needletcovar[*,*,i] = needletcovar[*,*,i] + (2*cl.l[l]+1) * cov * bands[cl.l[l],i]^2
     ENDFOR
  ENDFOR

  needletcovar = needletcovar/4/!pi
END
